const system = require("../../../system");
const settings = require("../../../../config/settings");
const ServiceBase = require("../../svems.base")
const axios = require("axios")

class EngineSignService extends ServiceBase {
  constructor() {
    super();
    // "createAccount": `${domain}/sign/account/create/person`,
    // "createTemplate": `${domain}/sign/template/create`,
    // "autoSign": `${domain}/sign/contract/autoSign`,
    // "handSign": `${domain}/sign/contract/handSign`,
    // "signCallBack": `${domain}/sign/contract${domain}/signCallBack`,
    // "signQuery": `${domain}/sign/contract${domain}/signQuery`
    this.API = settings.signApi();
  }

  // 创建模板
  async createTemplate(params) {
    try {
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }
  // 创建账户
  async createAccount(params) {
    try {
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }
  // 手动签
  async handSign(params) {
    try {
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }
  // 静默签
  async autoSign(params) {
    try {
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }
  // 签约回调
  async signCallBack(params) {
    try {
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }
}

module.exports = EngineSignService;